var yBase = window.innerHeight/2;
var xBase = window.innerWidth/2;
var delay = 20;    var yAmpl = 10;
var yMax = 40;     var step = .2;
var ystep = .5;    var currStep = 0;
var tAmpl=1;       var Xpos = 10;
var Ypos = 10;     var j = 0;
function MoveHandler(evnt) {
  Xpos = evnt.pageX ;
  Ypos = evnt.pageY ;
}
function MoveDot() {
  yBase = window.innerHeight / 4 ;
  xBase = window.innerWidth / 4;

  document.layers.layerDot.top = Ypos
    + Math.cos( ( 20 * Math.sin( currStep / ( 20 + j ) ) ) + j * 70 )
    * yBase
    * (Math.sin( 10 + currStep / 10 ) + 0.2 )
    * Math.cos( ( currStep + j * 25 ) / 10);
  document.layers.layerDot.left = Xpos
    + Math.sin( ( 20 * Math.sin( currStep / 20 ) ) + j * 70 )
    * xBase
    * (Math.sin( 10 + currStep / (10 + j ) ) + 0.2 )
    * Math.cos( (currStep + j * 25 ) / 10);

  currStep += step;
}

function InvokeDot() {
  if(navigator.appName != "Netscape" ||
     navigator.appVersion.substring(0,1) < "4")
    return;
  window.captureEvents(Event.MOUSEMOVE);
  window.onMouseMove = MoveHandler;
  setInterval("MoveDot()", delay) ;
}
